# ng2-bootstrap  [![npm version](https://badge.fury.io/js/ng2-bootstrap.svg)](http://badge.fury.io/js/ng2-bootstrap) [![npm downloads](https://img.shields.io/npm/dm/ng2-bootstrap.svg)](https://npmjs.org/ng2-bootstrap)[![Angular 2 Style Guide](https://mgechev.github.io/angular2-style-guide/images/badge.svg)](https://angular.io/styleguide)

Here you will find all [Bootstrap](http://v4-alpha.getbootstrap.com) components plus
many more useful components like: date picker, time picker, rating, typeahead, etc.

Additionally to allow reach experience while working with Dates we are using [moment.js](http://momentjs.com/), de facto best date manipulation library at the moment.

This module plays nice with Bootstrap CSS [v3](http://getbootstrap.com/css/) and [v4](http://v4-alpha.getbootstrap.com)

## Installation instructions

You don't need to include original JS components, but we are using markup and css provided by Bootstrap.

Install `ng2-bootstrap` from `npm`
```bash
npm install ng2-bootstrap --save
```

You will need bootstrap styles

```
<!-- index.html -->
<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
```

## How to use it with:
 - `angular-cli` (**RECOMMENDED**) please refer to [getting-started-with-ng-cli](https://github.com/valor-software/ng2-bootstrap/tree/development/docs/getting-started/ng-cli.md)
 - `angular-seed` please refer to [getting-started-with-angular-seed](https://github.com/valor-software/ng2-bootstrap/tree/development/docs/getting-started/angular-seed.md)
 - `system.js` (and [angular2 quickstart](https://angular.io/docs/ts/latest/quickstart.html)) please checkout [sample repository](https://github.com/valor-software/angular2-quickstart)
 - `plnkr` sample available [here](http://bit.ly/ng2-bootstrap-plnkr)
 - `Bootstrap 4 and angular-cli` please refer to [using-with-bootstrap-4-and-angular-cli](https://github.com/valor-software/ng2-bootstrap/tree/development/docs/getting-started/bootstrap4.md)

## Troubleshooting

So your are in trouble, where to get help:
- you can search and ask for help at [StackOverflow](https://stackoverflow.com/questions/tagged/ng2-bootstrap)
- if helped please [search first](https://github.com/valor-software/ng2-bootstrap/issues?utf8=%E2%9C%93&q=is%3Aissue) and only then open new issue
- you can join [gitter](https://gitter.im/valor-software/ng2-bootstrap) or **preferred** [![slack](https://ngx-slack.herokuapp.com/badge.svg)](https://ngx-slack.herokuapp.com) and ask a question ( response in slack will be faster )


## Contribution

Are very welcome! And remember, contribution is not only PRs and code, but any help with docs or helping other developers to solve issues are very appreciated! Thanks in advance!

## Reading documentation

Each `ng2-bootstrap` component has an API and annotation docs, examples and working demo. Each `property` and `event` has type annotation and default value if any.

